Page MenuHomePhabricator

[AMDGPU] Split R600/SI getFrameIndexReference and emit stack object offsets for SI
ClosedPublic

Authored by kzhuravl on Feb 7 2017, 12:25 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

kzhuravl created this revision.Feb 7 2017, 12:25 PM
arsenm accepted this revision.Feb 7 2017, 12:27 PM

LGTM. I was recently wondering what all of this extra stuff was for

This revision is now accepted and ready to land.Feb 7 2017, 12:27 PM
aprantl added inline comments.Feb 7 2017, 12:48 PM
lib/Target/AMDGPU/R600FrameLowering.cpp
33 ↗(On Diff #87500)

XXX?

test/CodeGen/AMDGPU/debugger-variable-locations.ll
7 ↗(On Diff #87500)

CHECK-NEXT to make sure the two belong together?

frej added a subscriber: frej.Feb 13 2017, 4:23 AM
kzhuravl updated this revision to Diff 88680.Feb 16 2017, 1:00 AM
kzhuravl marked an inline comment as done.

Address review feedback

lib/Target/AMDGPU/R600FrameLowering.cpp
33 ↗(On Diff #87500)

XXX->FIXME.

kzhuravl updated this revision to Diff 88986.Feb 17 2017, 4:08 PM

Add test that tests that DW_OP_swap and DW_OP_xderef are not present in dwarf v1.

This revision was automatically updated to reflect the committed changes.